cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/allocations/gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate_allocation(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", "gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificateAllocationRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificateAllocationRead> response = client.giftCertificates().getGiftCertificateAllocation(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
"gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateAllocationAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
"gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificateAllocation(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", "gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate_allocation": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Gift certificates
Retrieve a gift certificate allocation
Returns one allocation of a gift certificate, under gift_certificate_allocation.
GET
/
gift_certificates
/
{gc_id}
/
allocations
/
{allocation_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/allocations/gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate_allocation(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", "gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificateAllocationRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificateAllocationRead> response = client.giftCertificates().getGiftCertificateAllocation(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
"gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateAllocationAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
"gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificateAllocation(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
'gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificateAllocation(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", "gca_1d4f7a2c9e5b4083b6a1c2d3e4f5a6b7", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate_allocation": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Pass the certificate’s
id and the allocation’s id, as the allocations listing gives it. The response holds the same fields an entry in allocations has.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The gift certificate's id.
The allocation's id, from the allocations listing.
Response
200 - application/json
The allocation, under gift_certificate_allocation.
Show child attributes
Show child attributes